Child pages
  • Firefox
Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 44 Next »

The intent is to track dependencies and patches required to build Firefox on OpenIndiana.

Mozilla Firefox is a free, open-source and cross-platform web browser
for Windows, Linux, MacOS X and many other operating systems.

It is fast and easy to use, and offers many advantages over other web
browsers, such as tabbed browsing and the ability to block pop-up
windows.

Firefox also offers excellent bookmark and history management, and it
can be extended by developers using industry standards such as XML,
CSS, JavaScript, C++, etc. Many extensions are available

Notes

Known issues

Pulseaudio 6.0 integration

Dependencies

Based on Hipster-2015 (20150812)

ComponentHipsterFirefox ESR 17.0.11Firefox ESR 24.8.1Firefox ESR 31.8.0Firefox ESR 38.2.1Firefox ESR 38.4.0Firefox 42.0Comment
libjson-c0.12       
pulseaudio1.1      Need to test FF with PulseAudio 7.1

SQLite

3.8.11.1      Tested up to FF 41.0.2 (kmays)
autoconf2.69       
python2.7.10       

 

Notes:

provided by cpforum at orange.fr

The next link tell that Mozilla drop the old Netscape Plugin API well known as NPAPI from Firefox
at the end of 2016. So I think there is no reason to use the hipster Firefox 24.8.1.

https://blog.mozilla.org/futurereleases/2015/10/08/npapi-plugins-in-firefox/

I read that with Firefox 38.2.1 plugins do not work (not the same with 24.8.1 ?)

With Firefox 38.2.1esr loaded here :

http://releases.mozilla.org/pub/mozilla.org/firefox/releases/38.2.1esr/contrib/solaris_pkgadd/


- First OpenJDK hipster Plugin is OK. You juste have to do the following link

cd .mozilla/plugins
ln -s /usr/lib/IcedTeaPlugin.so IcedTeaPlugin.so

and you have a working Java Plugin. Need to have :
runtime/java/openjdk7
web/browser/firefox/plugin/firefox-java



- Second add Shumway (Flash) extension. Shumway now works with some sites and no longer need to install and old flash player.
(If you have uninstall it or disable it).

Shumway run the : http://revaweb.com/test_flash.html

It also works with most of files with .swf extension from : http://www.swishzone.com/max_swi/

Adobe test fail, but if you open the .swf (have to view source of the page), Adobe test are working.

- Third 38.2.1 is more secure

- Last, if you test Firefox here : http://html5test.com/

38.2.1 score is 411
24.8.1 score is 369

  • No labels